Creates a new project status
Request Information
URI Parameters :
None.
Body Parameters :
project_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the project status |
string |
Required Max length: 50 |
| is_default |
Is default (auto selected when creating new project) |
boolean | |
| is_closed |
Inform if this status means that the project/installation is archived |
boolean |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating project_status |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating project_status |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "1f236e40-ddf2-4fd9-be18-61054d9e41ef",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "8b00ae82-e2d1-41f3-879f-6e3c738af08c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "11c3d7d9-8bc4-44dd-b748-1e3894cb57ed",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b7c1473b-be11-4e44-9c7d-e3d61616c8e8",
"db_currency_id": "bbc8a2e4-7012-4bc5-ac0a-fbb9cd4258db",
"db_language_id": "a324dae3-96e6-43c1-83ae-7264056f06f6",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T19:53:56.0204073+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-02T19:53:56.0204073+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.